# Dvě počítadla a rozlišení akcí.
from fmw import *

def counter(value):
    return group(label(str(value)),
                 moved(button("+", 1), 0, 20))
    
def add(value, increment):
    return value + increment 

def counters(values):
    counter1 = action_changed(counter(values[0]), 0)
    counter2 = action_changed(counter(values[1]), 1)
    return group(counter1, moved(counter2, 0, 50))

def values_increment(values, index, increment):
    return values[:index] + [add(values[index], increment)] + values[index + 1:]

"""
>>> values_increment([0, 0], 1, 1)
[0, 1]
"""

def counters_increment(values, action):
    index = action[0]
    increment = action[1]
    return values_increment(values, index, increment)

display_window(counters, [0, 0], counters_increment)
